EDIT - feature request #9771

Implement Cdm2Cdm for vocabularies
09/17/2021 11:56 PM - Andreas Mller

Status: Closed Start date:

Priority: Priority13 Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdmadapter Estimated time: 0:00 hour
Target version: Release 5.40

Severity: critical

Description

Needed for loading terms from term server and for moving the character ontology.

Related issues:

Related to EDIT - feature request #8325: Create CDM Instance with all CDM cor...

Related to EDIT - task #6137: Urgent imports
Related to EDIT - feature request #10133: Improve ontology state vocabularies

Related to EDIT Platform Etablierung - task #8689: Export Flora of Greece Bup...

Related to EDIT - task #10183: Import Buxales via Cdm2Cdm
Related to EDIT - feature request #10233: Allow "for grouping only" structure...
Related to EDIT - task #10324: Export Caucasus data

Related to EDIT - feature request #10361: Managed terms and term collections ...
Precedes EDIT - feature request #10404: Allow synchronizing term trees in Tax...

Precedes EDIT - feature request #10405: Allow synchronizing terms

In Progress
In Progress
Closed
Closed
Closed
New
Closed
Closed
New

New

11/18/2019

Associated revisions

Revision 8876144e - 09/22/2021 12:19 PM - Andreas Miiller

ref #9771 first incomplete version of Cdm2CdmVocabularylmport

Revision bd349938 - 09/22/2021 12:45 PM - Andreas Miiller

ref #9771 first incomplete version of Cdm2CdmVocabularylmport (cont.)

Revision 1698cd08 - 09/20/2022 05:08 PM - Andreas Miiller
ref #9771 add OntologyExportActivator

Revision aae87424 - 09/20/2022 05:12 PM - Andreas Miiller

ref #9771 improvements to Cdm2CdmimportBase including a first (not ready) version for VocabularyFilter

Revision 6530e08a - 05/17/2023 11:05 AM - Andreas Miiller
ref #9771 fix source handling and add State and Media handling

Revision da949241 - 05/25/2023 01:15 PM - Andreas Miiller

ref #9771 move ontology vocabulary uuids to VocabularyEnum

Revision 8635d4e8 - 05/25/2023 01:17 PM - Andreas Miiller
ref #9771 adapt OntologyExportActivator

Revision 101c0e03 - 05/28/2023 09:05 AM - Andreas Miiller
ref #9771 fix empty VocabularyFilter handling

Revision 52f994b3 - 05/28/2023 09:06 AM - Andreas Miiller

ref #9771 javadoc on single source issue

Revision 704defee - 05/28/2023 08:04 PM - Andreas Miiller
ref #9771 allow lists and sets as term graph imput

Revision 9¢c60552 - 05/29/2023 12:52 AM - Andreas Miiller

ref #9771 adapt OntologyExportActivator to server-client export

Revision de9a7928 - 06/20/2023 04:34 PM - Andreas Miiller
ref #10320, ref #9771 fixes for Cdm2CdmImportBase

Revision 5430d021 - 06/20/2023 04:35 PM - Andreas Miiller
ref #9771, ref #10133 add state term lists to ontology vocabulary

Revision e9¢c66407 - 06/20/2023 04:36 PM - Andreas Miiller

ref #9771 remove flush for saveAll and saveOrUpdateAll

Revision e966ccba - 06/20/2023 08:34 PM - Andreas Miiller
ref #9771 add Character handling

Revision 92daa639 - 06/21/2023 09:42 AM - Andreas Miuller
ref #9771 add Character handling (cont.)

Revision 33fb8230 - 06/21/2023 10:07 AM - Andreas Miiller

ref #9771 handle incomplete vocabularies during graph import

Revision dffd2d5d - 06/22/2023 11:27 PM - Andreas Miiller
ref #9771 add handling for externally managed

Revision 6c719fde - 06/22/2023 11:27 PM - Andreas Miiller
ref #9771 add delete option for created and updated

Revision d16a08e8 - 06/26/2023 11:05 AM - Andreas Muller
ref #9771 fix Character.propertey and .ratioToStructure handling

Revision 89b64be2 - 07/26/2023 06:44 PM - Andreas Miuller

ref #9771 some changes on OntologyExportActivator

Revision a69f61a1 - 07/26/2023 06:49 PM - Andreas Miiller
ref #9771 add additivity CharacterTreeExportActivator

Revision 60c10f08 - 09/21/2023 03:33 PM - Andreas Miiller

ref #9771 , ref #10133 allow importing graphs with partial vocabularies (javadoc)

Revision 1caa4215 - 09/21/2023 03:34 PM - Andreas Miiller
ref #9771 , ref #10133 allow configuation for addMissingTerms

Revision dab1a4a7 - 09/21/2023 03:35 PM - Andreas Miuller

ref #9771 , ref #10133 implement add missing terms for term trees

Revision a3d28473 - 09/21/2023 09:55 PM - Andreas Miiller
ref #9771 fix configurator setting in Cdm2CdmVocabularylmportTest

Revision 3f79af9b - 09/21/2023 10:10 PM - Andreas Miiller
ref #9771 fix configurator setting for adding terms in Cdm2CdmVocabularylmportTest

Revision 449c4ac6 - 09/22/2023 03:12 PM - Andreas Miiller

ref #9771 use system tmp directory for other repository and split graph test

Revision 19a3c¢c32c - 09/22/2023 03:38 PM - Andreas Miiller
ref #9771 try to fix path issue on linux

Revision c1410cac - 09/25/2023 07:40 PM - Andreas Miiller
ref #9771 fix recursive graph update

Revision 2b345f92 - 09/28/2023 09:06 PM - Andreas Miiller
ref #10133, ref #9771 adapt OntologyExportActivator to update configuration

History

#1 - 09/18/2021 12:26 AM - Andreas Miiller
- Related to feature request #8325: Create CDM Instance with all CDM core terms added

#2 - 09/22/2021 03:10 PM - Andreas Miiller

- Tags changed from additivity, terms to additivity, terms, import

#3 - 10/11/2021 08:01 PM - Andreas Miiller
- Status changed from New to In Progress

- Severity changed from normal to critical

#4 - 10/11/2021 08:04 PM - Andreas Miiller
- Related to task #6137: Urgent imports added

#5 - 10/20/2021 01:18 PM - Andreas Miiller

Note: in TaxEditor there is a first version for handling a second CdmServer at CdmServerinfo.getDevServerRemoteSource()

#6 - 08/30/2022 01:10 PM - Andreas Miuller

- Related to feature request #10133: Improve ontology state vocabularies added

#7 - 08/30/2022 01:12 PM - Andreas Miiller
- Related to task #8689: Export Flora of Greece Bupleurum using Cdm2Cdm export added

#8 - 09/02/2022 10:56 AM - Andreas Miiller
- File clipboard-202209021056-oohjh.png added

A Problem are users used in Person or User

Items for User 'admin2' {id=22)

Class Description Ul Ohbject ID
Person Admin 152502b6-ec%e... 10
User tutor 380c922f-7742... 21
User kurs1 0b291c60-2985... 23

#9 - 11/10/2022 01:43 PM - Andreas Miiller
- Related to task #10183: Import Buxales via Cdm2Cdm added

#10 - 01/23/2023 10:06 PM - Andreas Miiller

- Related to feature request #10233: Allow "for grouping only" structures for terms added

#11 - 05/23/2023 01:51 PM - Andreas Miiller
- Related to task #10324: Export Caucasus data added

#12 - 05/28/2023 09:04 AM - Andreas Miiller
- Target version changed from Release 5.45 to Release 5.38

- % Done changed from 0 to 50

#13 - 06/13/2023 09:47 AM - Andreas Miuiller
- Status changed from In Progress to Resolved

- % Done changed from 50 to 70

This is more or less implemented. But check comment on problems with users above.
And create new ticket for issues related to synchronizing.

#14 - 06/21/2023 03:34 PM - Andreas Miiller

And make Test running in suite

#15 - 06/23/2023 12:12 PM - Andreas Miiller

- Target version changed from Release 5.38 to Release 5.44

#16 - 07/07/2023 01:11 PM - Andreas Miiller

- Target version changed from Release 5.44 to Release 5.40

#17 - 07/10/2023 01:09 PM - Andreas Miiller
- Priority changed from Highest to Priority13

#18 - 07/12/2023 04:24 PM - Andreas Miiller

And update enum columns after release:

UPDATE DefinedTermBase

SET authorityType = authorityType_tmp, importMethod = importMethod_tmp

WHERE importMethod_tmp IS NOT NULL

UPDATE TermCollection

SET authorityType = authorityType_tmp, importMethod = importMethod_tmp

WHERE importMethod_tmp IS NOT NULL

and remove tmp columns

#19 - 07/12/2023 04:25 PM - Andreas Miiller

- Related to feature request #10361: Managed terms and term collections should not be editable in taxeditor added

#20 - 09/22/2023 03:56 PM - Andreas Miiller

- % Done changed from 70 to 80

Tests are now running on server. But still need a test for updating graphs.
And fix the other above issues.

#21 - 09/25/2023 03:40 PM - Andreas Miiller

Andreas Miller wrote in #note-8:

A Problem are users used in Person or User

Users are currently not imported so | guess this does not need to be considered anymore.

#22 - 09/25/2023 03:45 PM - Andreas Miiller

- Precedes feature request #10404: Allow synchronizing term trees in TaxEditor added

#23 - 09/25/2023 03:49 PM - Andreas Miiller

- Precedes feature request #10405: Allow synchronizing terms added

#24 - 09/25/2023 03:51 PM - Andreas Miiller

Andreas Muller wrote in #note-13:

And create new ticket for issues related to synchronizing.

New tickets #10404 and #10405 were created.
https://dev.e-taxonomy.eu/redmine/issues/10404
https://dev.e-taxonomy.eu/redmine/issues/10405

#25 - 09/25/2023 07:53 PM - Andreas Miiller
- Status changed from Resolved to Closed

- % Done changed from 80 to 100

test for updating graphs including non-toplevel nodes added.

So we can close this ticket now.
